#$Id: ming.spec,v 1.1 2004/12/16 07:44:08 adrian Exp $
%define targets listfdb listmp3 listjpeg makefdb swftophp listaction gif2dbl gif2mask raw2adpcm

Summary: Ming - an SWF output library
Name: ming
Version: 0.3
Release: 0.fdr.0.beta1.1
Source: http://dl.sf.net/ming/ming-0.3beta1.tar.bz2
Patch0: ming-0.3beta1-soname.diff
Patch1: ming-listmp3.c.patch
License: LGPL
URL: http://ming.sf.net/
Group: System Environment/Libraries
BuildRequires:	bison flex libungif-devel xorg-x11-devel libpng-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Ming is a c library for generating SWF ("Flash") format movies. This 
package only contains the basic c-based library - not yet extensions for 
Python, Ruby, etc.

%package devel
Summary: Development files for the ming library	
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
The ming-devel package contains the header files
and static libraries necessary for developing programs using the
ming-devel library (C and C++)..

%package utils
Summary: Ming utilities
Group: Development/Tools
Requires: %{name} = %{version}-%{release}

%description utils
Ming utilities:
 - listswf - swf format disassembler
 - listfdb - show contents of fdb font file
 - makefdb - rip fdb font definition files out of a generator template file
 - swftophp - attempt to make a php/ming script out of an swf file

%prep

%setup -q -n %{name}-%{version}beta1
%patch0 -p0
%patch1 -p1

%build

pushd src
    %{__make} CFLAGS="$RPM_OPT_FLAGS -fPIC" %{?_smp_mflags}
    %{__make} CFLAGS="$RPM_OPT_FLAGS -fPIC" static %{?_smp_mflags}
popd

pushd util
for i in %{targets}; do
    %{__make} CFLAGS="$RPM_OPT_FLAGS" \
    LIBS="-lz -lungif -lpng12 -lSM -lICE -L%{_prefix}/X11R6/%{_lib} -lX11" \
    $i %{?_smp_mflags}
done
popd

%install
rm -rf $RPM_BUILD_ROOT

%{__mkdir_p} $RPM_BUILD_ROOT%{_libdir}
%{__mkdir_p} $RPM_BUILD_ROOT%{_bindir}
%{__mkdir_p} $RPM_BUILD_ROOT%{_includedir}

# install the utils
for i in %{targets}; do
    install -m0755 util/$i $RPM_BUILD_ROOT%{_bindir}/
done

# install the shared library
install -m0755 libming.so $RPM_BUILD_ROOT%{_libdir}/libming.so.%{version}
ln -snf libming.so.%{version} $RPM_BUILD_ROOT%{_libdir}/libming.so.0
ln -snf libming.so.%{version} $RPM_BUILD_ROOT%{_libdir}/libming.so

# install the static library and headers
install -m0755 libming.a $RPM_BUILD_ROOT%{_libdir}/
install -m0644 src/ming.h $RPM_BUILD_ROOT%{_includedir}/
install -m0644 src/ming_config.h $RPM_BUILD_ROOT%{_includedir}/
install -m0644 mingpp.h $RPM_BUILD_ROOT%{_includedir}/

# fix docs
cp util/README util.README
chmod 644 CREDITS ChangeLog HISTORY INSTALL *README* TODO

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post devel -p /sbin/ldconfig

%postun devel -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CREDITS ChangeLog HISTORY INSTALL README TODO
%attr(755,root,root) %{_libdir}/libming.so.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libming.so
%attr(755,root,root) %{_libdir}/libming.a
%{_includedir}/*

%files utils
%defattr(644,root,root,755)
%doc util.README
%attr(755,root,root) %{_bindir}/*

%changelog
* Wed Dec 15 2004 Adrian Reber <adrian@lisas.de> 0.3-0.fdr.0.beta1.1
- fedorafication
- removed perl subpackage

* Fri Dec 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.3-0.beta1.6mdk
- added an obvious lib64 fix

* Thu Dec 02 2004 Abel Cheung <deaddog@mandrake.org> 0.3-0.beta1.5mdk
- And another...

* Thu Dec 02 2004 Abel Cheung <deaddog@mandrake.org> 0.3-0.beta1.4mdk
- Fix BuildRequires

* Mon Nov 15 2004 Michael Scherer <misc@mandrake.org> 0.3-0.beta1.3mdk
- Rebuild for new perl
- Rename the perl module to perl-SWF, more compliant with the naming policy

* Mon May 24 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.beta1.2mdk
- misc spec file fixes
- drop P2, use spec file hack instead
- fix deps

* Sun May 23 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.beta1.1mdk
- 0.3beta1
- new url
- misc spec file fixes

* Thu Jul 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.2a-6mdk
- use the %%mklibname  macro
- misc spec file fixes

* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.2a-5mdk
- build release

* Sun Aug  4 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.2a-4mdk
- rebuilt with gcc-3.2
- fix perl-ming for perl 5.8.0

* Sun May 19 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.2a-3mdk
- rebuilt with gcc3.1

* Tue Apr 30 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.2a-2mdk
- fixed the soname, thanks to Moritz Barsnick for pointing it out

* Thu Apr  4 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.2a-1mdk
- initial cooker contrib
- used the spec file by Troels Arvin and by PLD for ideas.
- libified the whole stuff...

